/*******************************************************************************
 * Copyright (c) 2005, 2014 springside.github.io
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 *******************************************************************************/
package com.yihu.wlyy.repository.doctor;

import java.util.List;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.PagingAndSortingRepository;

import com.yihu.wlyy.entity.doctor.profile.DoctorService;

public interface DoctorServiceDao extends PagingAndSortingRepository<DoctorService, Long>, JpaSpecificationExecutor<DoctorService> {
	
	List<DoctorService> findByDoctor(String doctor);
	
}
